## hyphen-hi 0.5.5

=== Makefile ===
# Hyphenation Makefile
# Copyright (C) 2011-2013 Shravan Aras <123.shravan@gmail.com>
# Copyright (C) 2008-2010 Santhosh Thottingal <santhosh.thottingal@gmail.com>
#
#  This library is free software; you can redistribute it and/or
#  modify it under the terms of the GNU Lesser General Public
#  License as published by the Free Software Foundation;
#  version 3 or later version of the License.
#
#  This library is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
#  Lesser General Public License for more details.
#
#  You should have received a copy of the GNU Lesser General Public
#  License along with this library; if not, write to the Free Software
#  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307  USA

DESTDIR = 
hyphdir = /usr/share/hyphen/
dictdir = /usr/share/myspell/dicts/
ooo_info_dir = /usr/share/myspell/infos/ooo/
docdir = /usr/share/doc/openoffice.org-hyphenation-hi/


dict_files = hyph_hi_IN.dic
doc_files = README ChangeLog
extra_files = Makefile
ooo_info_file = openoffice.org-hyphenation-hi
version = 0.5.5

distdir=hyphen-hi_${version}

all: ${doc_files} ${dict_files}

install: all
	mkdir -p ${DESTDIR}${ooo_info_dir}
	cp ${ooo_info_file}  ${DESTDIR}${ooo_info_dir}
	mkdir -p ${DESTDIR}${docdir}
	cp ${doc_files} ${DESTDIR}${docdir}
	mkdir -p ${DESTDIR}${hyphdir}
	cp ${dict_files} ${DESTDIR}${hyphdir}
	chmod 644 ${DESTDIR}${hyphdir}${dict_files}	
	mkdir -p ${DESTDIR}${dictdir}
	ln -s ${DESTDIR}${hyphdir}${dict_files} ${DESTDIR}${dictdir}${dict_files}
	update-openoffice-dicts 
	
	
uninstall:
	-cd ${DESTDIR}${dictdir}/ && rm ${dict_files}
	-cd ${DESTDIR}${docdir}/ && rm ${doc_files}
	-cd ${DESTDIR}${ooo_info_dir}/ && rm ${ooo_info_file}
	-cd ${DESTDIR}${hyphdir}/ && rm ${dict_files}
	
clean:
	-rm -rf ${distdir}.tar.bz2 ${distdir}	
	
dist:
	-rm -rf ${distdir}.tar.bz2 ${distdir}
	mkdir ${distdir}
	cp -p ${dict_files}  ${doc_files} ${ooo_info_file}  ${extra_files} ${distdir}/
	tar cf ${distdir}.tar ${distdir}/
	bzip2 -9 ${distdir}.tar
	rm -rf ${distdir}/

## hyphen-hi 0.6.0

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # Hyphenation Makefile
-# Copyright (C) 2011-2013 Shravan Aras <123.shravan@gmail.com>
+# Copyright (C) 2009-2011 Shravan Aras <123.shravan@gmail.com>
 # Copyright (C) 2008-2010 Santhosh Thottingal <santhosh.thottingal@gmail.com>
 #
 #  This library is free software; you can redistribute it and/or
@@ -20,16 +20,16 @@
 hyphdir = /usr/share/hyphen/
 dictdir = /usr/share/myspell/dicts/
 ooo_info_dir = /usr/share/myspell/infos/ooo/
-docdir = /usr/share/doc/openoffice.org-hyphenation-hi/
+docdir = /usr/share/doc/hyphen-hi/
 
 
 dict_files = hyph_hi_IN.dic
 doc_files = README ChangeLog
 extra_files = Makefile
 ooo_info_file = openoffice.org-hyphenation-hi
-version = 0.5.5
+version = 0.6.0
 
-distdir=hyphen-hi_${version}
+distdir=hyphen-hi-${version}
 
 all: ${doc_files} ${dict_files}
 
@@ -42,8 +42,8 @@
 	cp ${dict_files} ${DESTDIR}${hyphdir}
 	chmod 644 ${DESTDIR}${hyphdir}${dict_files}	
 	mkdir -p ${DESTDIR}${dictdir}
-	ln -s ${DESTDIR}${hyphdir}${dict_files} ${DESTDIR}${dictdir}${dict_files}
-	update-openoffice-dicts 
+	ln -s ${hyphdir}${dict_files} ${DESTDIR}${dictdir}${dict_files}
+	/usr/sbin/update-openoffice-dicts 
 	
 	
 uninstall:

=== debian/changelog ===
hyphen-hi (0.6.0-3) unstable; urgency=low

  [ Kartik Mistry ]
  * debian/copyright:
    + Corrected license text to LGPL-3.
    + Added missing copyright owner for Makefile.

 -- Debian-IN Team <debian-in-workers@lists.alioth.debian.org>  Tue, 23 Aug 2011 10:19:53 +0530

hyphen-hi (0.6.0-2) unstable; urgency=low

  * Fixed rules, fixed Arch -> all in control file 

 -- Muneeb Shaikh <iammuneeb@gmail.com>  Mon, 22 Aug 2011 15:53:46 +0530

hyphen-hi (0.6.0-1) unstable; urgency=low

  * Initial release (Closes: #542240) 

 -- Muneeb Shaikh <iammuneeb@gmail.com>  Sun, 31 Jul 2011 18:11:17 +0530

=== debian/control ===
Source: hyphen-hi
Section: text
Priority: optional
Maintainer: Muneeb Shaikh <iammuneeb@gmail.com>
Uploaders: Debian-IN Team <debian-in-workers@lists.alioth.debian.org>
Build-Depends: debhelper (>= 7.0.50~),
               dictionaries-common (>= 0.10),
               openoffice.org-updatedicts
Standards-Version: 3.9.2
Homepage: http://wiki.smc.org.in/Hyphenation

Package: hyphen-hi
Architecture: all
Depends: ${misc:Depends},
         dictionaries-common (>= 0.10),
         openoffice.org-updatedicts
Description: Hindi hyphenation patterns for OpenOffice.org/LibreOffice
 Hyphenation is the process of inserting hyphens in between the syllables of
 a word so that when the text is justified, maximum space is utilized.
 .
 This package provides the hyphenation rules for Hindi language.

## hyphen-hi 0.7.0

=== Makefile ===
--- 
+++ 
@@ -27,7 +27,7 @@
 doc_files = README ChangeLog
 extra_files = Makefile
 ooo_info_file = openoffice.org-hyphenation-hi
-version = 0.6.0
+version = 0.7.0
 
 distdir=hyphen-hi-${version}
 
@@ -43,8 +43,6 @@
 	chmod 644 ${DESTDIR}${hyphdir}${dict_files}	
 	mkdir -p ${DESTDIR}${dictdir}
 	ln -s ${hyphdir}${dict_files} ${DESTDIR}${dictdir}${dict_files}
-	/usr/sbin/update-openoffice-dicts 
-	
 	
 uninstall:
 	-cd ${DESTDIR}${dictdir}/ && rm ${dict_files}

=== debian/changelog ===
hyphen-hi (0.7.0-3) unstable; urgency=low

  * Team upload.
  * debian/rules:
    + Renamed /usr/share/myspell/infos/ooo/openoffice.org-hyphenation-hi to
      /usr/share/myspell/infos/ooo/hyphen-hi
  * debian/copyright:
    + Updated to copyright-format 1.0
    + Added missing Makefile copyright
    + Fixed license text GPL->LGPL
  * debian/control:
    + Updated Standards-Version to 3.9.3

 -- Kartik Mistry <kartik@debian.org>  Wed, 14 Mar 2012 11:56:32 +0530

hyphen-hi (0.7.0-2) unstable; urgency=low

  * debian/control:
    - Removed openoffice.org-updatedicts, it does not depend on it now.
    - Added libre/openoffice-writer to Recommends.

 -- Muneeb Shaikh <iammuneeb@gmail.com>  Sat, 17 Dec 2011 08:53:09 +0530

hyphen-hi (0.7.0-1) unstable; urgency=low

  * New upstream release. (Closes: #652202)

 -- Muneeb Shaikh <iammuneeb@gmail.com>  Fri, 16 Dec 2011 01:50:19 +0530

=== debian/control ===
Source: hyphen-hi
Section: text
Priority: optional
Maintainer: Muneeb Shaikh <iammuneeb@gmail.com>
Uploaders: Debian-IN Team <debian-in-workers@lists.alioth.debian.org>
Build-Depends: debhelper (>= 7.0.50~),
               dictionaries-common (>= 0.10)
Standards-Version: 3.9.3
Homepage: http://wiki.smc.org.in/Hyphenation
Vcs-Git: git://git.debian.org/debian-in/hyphen-hi.git
Vcs-Browser: http://git.debian.org/?p=debian-in/hyphen-hi.git;a=summary

Package: hyphen-hi
Architecture: all
Depends: ${misc:Depends},
         dictionaries-common (>= 0.10)
Recommends: libreoffice-writer | openoffice.org-writer
Description: Hindi hyphenation patterns for OpenOffice.org/LibreOffice
 Hyphenation is the process of inserting hyphens in between the syllables of
 a word so that when the text is justified, maximum space is utilized.
 .
 This package provides the hyphenation rules for Hindi language.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_install:
	rm debian/hyphen-hi/usr/share/doc/hyphen-hi/ChangeLog
	mv debian/hyphen-hi/usr/share/myspell/infos/ooo/openoffice.org-hyphenation-hi \
	   debian/hyphen-hi/usr/share/myspell/infos/ooo/hyphen-hi

=== debian/watch ===
version=3
http://download.savannah.gnu.org/releases/smc/hyphenation/patterns/hyphen-hi-(.*)\.tar\.bz2 debian uupdate
